=== debian/changelog ===
yoshimi (1.7.0.1-1) unstable; urgency=medium

  * New upstream version 1.7.0.1
  * d/control:
    + Bump Standards-Version to 4.5.0
    + Add me as uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:15:53 +0100

yoshimi (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.7.0
    * Drop patches applied upstream
  * Remove trailing whitespace from d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jan 2020 22:29:27 +0100

yoshimi (1.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.1
  * d/copyright:
    + Change license for desktop/metainfo/* and Util/YoshimiSplash.svg to CC-BY-4.0
  * Fix license name of yoshimi.appdata.xml to make lintian happy

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 22 Dec 2019 00:41:11 +0100

yoshimi (1.6.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Declare that building this package does not require "root" powers

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + add myself)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Nov 2019 11:21:05 +0100

yoshimi (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Olivier Humbert ]
  * Update d/copyright to 2019

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches (and remove those included upstream)
  * Update dependencies
  * Install examples
  * Install all docs
  * Exclude more false-positives from lintian spelling check
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 01 Sep 2019 17:22:18 +0200
