=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 dssi-dev,
 fluid,
 libasound2-dev,
 libboost-dev,
 libcairo2-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev,
 libmxml-dev,
 libncurses5-dev,
 libreadline-dev,
 libx11-dev,
 libxext-dev,
 lv2-dev,
 pkg-config,
 sharutils,
 zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi
Homepage: https://yoshimi.sourceforge.io

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd,
 yoshimi-doc,
Description: software synthesizer originally based on ZynAddSubFX2
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.

Package: yoshimi-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides banks and presets for Yoshimi.

Package: yoshimi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Documentation for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides documentation for Yoshimi.
