=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -141,7 +141,6 @@
                       ${LIBSNDFILE_LIBRARIES}
                       ${FFTW3F_LIBRARIES}
                       ${LIBCAIRO_LIBRARIES}
-                      ${JACK_LIBRARIES}
                       z
                       ${LIBDL_LINUX_LIBS}
 )
