=== debian/changelog ===
yoshimi (1.7.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.2~dfsg0
  * Drop patch, applied by upstream

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 17 Aug 2020 20:38:58 +0200

yoshimi (1.7.1~dfsg0-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix LV2 types (Closes: #960221)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 May 2020 22:32:17 +0200

yoshimi (1.7.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.1~dfsg0
    + Make the package dfsg compatible, strip out a unfree svg
  * Bump dh-compat to 13
  * d/copyright: Update files and years
  * d/upstream/metadata: Provide metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 23:54:37 +0200
