=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
  dssi-dev,
  fluid,
