## yoshimi 1.7.3~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,10 +38,10 @@
 #add_definitions(-Wfatal-errors) # stop on first
 #add_definitions(-Werror=format-security)
 #add_definitions(-Wextra)
-add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
+#add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "1.7.2")
+set (YOSHIMI_VERSION "1.7.3")
 
 add_definitions (-DMIN_CONFIG_MAJOR=1)
 add_definitions (-DMIN_CONFIG_MINOR=6)
