=== debian/changelog ===
yoshimi (1.7.3~dfsg0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Dec 2020 14:03:20 -0800

yoshimi (1.7.3~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.3~dfsg0
  * Add a superficial autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 01 Nov 2020 23:04:52 +0100
