=== debian/tests/control ===
Test-Command: yoshimi -Ci &
Depends: @
Restrictions: allow-stderr, superficial
