## yoshimi 1.7.4~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 #add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "1.7.3")
+set (YOSHIMI_VERSION "1.7.4")
 
 add_definitions (-DMIN_CONFIG_MAJOR=1)
 add_definitions (-DMIN_CONFIG_MINOR=6)
