=== debian/changelog ===
yoshimi (1.7.4~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.4~dfsg0
  * Bump S-V to 4.5.1, no changes needed
  * Add libjack-jackd2-dev as B-D and libjack-dev as optional
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 15 Jan 2021 00:50:50 +0100
