## yoshimi 2.0~dfsg0

=== debian/changelog ===
yoshimi (2.0~dfsg0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Apr 2021 23:45:14 -0400

yoshimi (2.0~dfsg0-1) experimental; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.0~dfsg0
  * Remove unnecessary ldflags from d/rules
  * Bump d/copyright year
  * Update yoshimi.lintian-overrides

  [ Mattia Rizzolo ]
  * Remove unused build-dependency on liboost-dev.

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Mar 2021 22:08:54 +0100
