=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yoshimi
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -11,7 +12,6 @@
  dssi-dev,
  fluid,
  libasound2-dev,
- libboost-dev,
  libcairo2-dev,
  libfftw3-dev,
  libfltk1.3-dev,
