=== debian/changelog ===
yoshimi (2.1.0~dfsg0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 16:06:17 -0400

yoshimi (2.1.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.0~dfsg0
  * Bump Standards-Version to 4.6.0
  * Update patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 24 Aug 2021 23:42:24 +0200

yoshimi (2.0.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.0.2~dfsg0
  * Remove non-existent src/Interface/RingBuffer.cpp from d/copyright
  * Update doc-base, use html manual instead of pdf, for now
  * Update lintian-overrides
  * Remove the cc logo, to fix privacy breach in index.html of doc files

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Aug 2021 20:20:56 +0200

yoshimi (2.0.1~dfsg0-1) experimental; urgency=medium

  * New upstream version 2.0.1~dfsg0

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 29 Apr 2021 21:32:52 +0200
