=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  pkg-config,
  sharutils,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi
