## yoshimi 2.1.1.1~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 #add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "2.1.0")
+set (YOSHIMI_VERSION "2.1.1.1")
 
 add_definitions (-DMIN_CONFIG_MAJOR=2)
 add_definitions (-DMIN_CONFIG_MINOR=0)
@@ -285,8 +285,9 @@
 )
 
 set (Misc_sources
-    Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Splash.cpp
-    Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/WavFile.cpp
+    Misc/CmdOptions.cpp  Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp
+    Misc/Splash.cpp  Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp
+    Misc/WavFile.cpp
 )
 
 set (Interface_Sources
@@ -428,4 +429,3 @@
 )
 
 set(ExternLibraries
-    ${FONTCONFIG_LIBRARIES}
