=== debian/changelog ===
yoshimi (2.1.1.1~dfsg0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 11:14:21 -0500

yoshimi (2.1.1.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.1.1~dfsg0

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Oct 2021 23:43:13 +0200

yoshimi (2.1.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.1~dfsg0

  * autopkgtests
    + Fix superficial test
    + Add proper (non-trivial) test
  * Add salsa-ci configuration
  * Apply 'wrap-and-sort -ast'
  * Add myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Oct 2021 09:52:30 +0200
