=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
     ../Interface/MidiDecode.cpp ../Interface/MidiDecode.h
     ../Interface/InterChange.cpp ../Interface/InterChange.h
     ../Interface/Data2Text.cpp ../Interface/Data2text.h
+    ../Interface/Text2Data.cpp ../Interface/Text2Data.h
     ../Interface/RingBuffer.h
     ../Interface/MidiLearn.cpp ../Interface/MidiLearn.h
     ../UI/MiscGui.cpp ../UI/MiscGui.h)
