=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: yoshimi
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  dssi-dev,
  fluid,
  libasound2-dev,
@@ -27,7 +27,7 @@
  lv2-dev,
  pkg-config,
  sharutils,
- zlib1g-dev
+ zlib1g-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
@@ -39,7 +39,7 @@
 Depends:
  yoshimi-data (= ${source:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Recommends:
  jackd,
  yoshimi-doc,
@@ -54,9 +54,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
- yoshimi
+ yoshimi,
 Description: Presets for Yoshimi
  Yoshimi is a software synthesizer originally based on ZynAddSubFX2
  .
@@ -70,9 +70,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
- yoshimi
+ yoshimi,
 Description: Documentation for Yoshimi
  Yoshimi is a software synthesizer originally based on ZynAddSubFX2
  .
