=== debian/watch ===
version=4
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg0.*//,repacksuffix=~dfsg0" \
https://github.com/Yoshimi/yoshimi/tags .*/v?(\d[\d\.]+)\.tar\.gz
